
variable "parent_group" {
  type        = string
  default     = ""
  description = "Parent group ID"
}

variable "name" {
  type        = string
  description = "Group name"
}

variable "description" {
  type        = string
  description = "Group description"
}

variable "type" {
  type        = string
  description = "Group type"
  default     = ""

  validation {
    condition = contains([
      "",
      "container",
      "golang",
      "typescript",
      "cicd"
    ], var.type)
    error_message = "Unsupported group type"
  }
}

variable "ci_variables" {
  type = map(object({
    value             = string
    description       = optional(string)
    protected         = optional(bool)
    masked            = optional(bool)
    environment_scope = optional(string)
  }))
  description = "CI variables to be set for the group"
  default     = {}
}
